Package org.apache.sling.cms.insights

## Interface InsightProvider

    public interface InsightProvider

Interface for all of the Insight Provider services to implement.

### Method Summary

All Methods Instance Methods Abstract Methods
`Insight` `evaluateRequest​(InsightRequest request)` Evaluate the request and return a response with the details.
`String` `getId()` Get the ID for a particular Insight Provider.
`String` `getTitle()` The title of the Insight Provider
`boolean` `isEnabled​(InsightRequest request)` Returns true if the provider is enabled for this request and false otherwise.

### Method Detail

#### evaluateRequest

    Insight evaluateRequest​(InsightRequest request)

Evaluate the request and return a response with the details.

Parameters:
  `request` - the request to evaluate
Returns:
  the insights gathered

#### getId

    String getId()

Get the ID for a particular Insight Provider. This should be human readable and URL-safe.

Returns:
  the check ID

#### getTitle

    String getTitle()

The title of the Insight Provider

Returns:
  the user-displayed title

#### isEnabled

    boolean isEnabled​(InsightRequest request)

Returns true if the provider is enabled for this request and false otherwise.

Parameters:
  `request` - the request to evaluate
Returns:
  true if enabled, false otherwise